Store Pages
11 endpoints
GET/v1/stores/{storeId}/pages
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredPOST/v1/stores/{storeId}/pages
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredBody
application/json
GET/v1/stores/{storeId}/pages/{id}
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredidpath · stringRequiredPATCH/v1/stores/{storeId}/pages/{id}
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredidpath · stringRequiredBody
application/json
DELETE/v1/stores/{storeId}/pages/{id}
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredidpath · stringRequiredPOST/v1/stores/{storeId}/pages/{id}/duplicate
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredidpath · stringRequiredBody
application/json
POST/v1/stores/{storeId}/pages/{id}/preview
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredidpath · stringRequiredBody
application/json
POST/v1/stores/{storeId}/pages/{id}/publish
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredidpath · stringRequiredBody
application/json
POST/v1/stores/{storeId}/pages/{id}/unpublish
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredidpath · stringRequiredBody
application/json
GET/v1/stores/{storeId}/pages/public
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequiredGET/v1/stores/{storeId}/pages/resolve
Authorization
Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.
Parameters
storeIdpath · stringRequired